<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// If the user isn't logged in then redirect him back to home
if (empty($_SESSION['email']) || empty($_SESSION['name']) || empty($_SESSION['surname']) || empty($_SESSION['user_id']))
{
	header( "Location: index.php" );
}

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">

<script type="text/javascript" src="js/lookup_fill.js"></script>
<script type="text/javascript" src="js/jquery-1.2.1.pack.js"></script>

</head>

<body>
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	include_file("stable_parts/banner_menu.php");
?> 

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3><?php echo "Image from album " . $_GET[album_name];?></h3>
					<?php
						if($_GET['u'] == $_SESSION['user_id'])
						{
							echo "<p class='text-content'>Do you want to make set this image as your profile image?
							<form method='post' action='php_for_database/update_profile_img.php' name='update_profile_img'>
								<input type='hidden' name='new_img' value='" . "../uploaded_images/" . $_SESSION['user_id'] . "/" . $_GET[album_name] . "/" . $_GET[img] . "' />
								<input type='hidden' name='lnk' value='" . "?u=" . $_SESSION['user_id'] . "&album_name=" . $_GET[album_name] . "&img=" . $_GET[img] . "' />
								<input type='submit' value='Yes' />
							</form><br>";
							echo "<p class='text-content'>Do you want to remove this image?
							<form method='post' action='php_for_database/delete_image.php' name='delete_image'>
								<input type='hidden' name='img' value='" . $_GET[img] . "' />
								<input type='hidden' name='album' value='" . $_GET['album_name'] . "'>
								<input type='hidden' name='user_id' value='" . $_SESSION['user_id'] . "'>
								<input type='submit' value='Yes' />
							</form><br>";
						}
					?>
					<?php
					      require_file("friends_req/general_friends.php");
					      // include the function that will make the connection with the database
					      require_file("php_for_database/connect_db.php");
					      // connect to database
					      $db = connect_db();

					      if($_SESSION['user_id'] == $_GET['u'])
						      $me = TRUE;
					      else
						      $me = FALSE;

					      if ($me == TRUE)
					      {
						      $rights = 0;
					      }
					      else if (are_friends($_GET['u'], $_SESSION['user_id']) == TRUE)
					      {
						      $rights = 1;
					      }
					      else
					      {
						      $rights = 2;
					      }

					      $result = mysql_query("SELECT * FROM album WHERE gallery_id = '" . $_GET['u'] . "' AND name = '" . $_GET['album_name'] . "'", $db);

					      // if the query had an error
					      if (!$result)
					      {
						  die('Error: ' . mysql_error());
					      }
					      $row = mysql_fetch_array($result);

					      $album_rights = $row['rights'];

					      // close the connection with the database
					      mysql_close($db);

					      if($album_rights >= $rights)
					      {
							  require_file("php_images/next_previous_image.php");
					      
							  echo "<a href='album.php?u=" . $_GET[u] . "&album_name=" . $_GET[album_name] . "'>" . "Back to album" . "</a>" . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
							  
							  $prv_img = previous_img($_GET[u], $_GET[album_name], $_GET[img]);
							  if ($prv_img != FALSE)
							  {
								    echo "<a href='image.php?u=" . $_GET[u] . "&album_name=" . $_GET[album_name] ."&img=" . $prv_img . "'>" . "< Previous" . "</a>" . "&nbsp;&nbsp;&nbsp;";
							  }
							  $nxt_img = next_img($_GET[u], $_GET[album_name], $_GET[img]);
							  if ($nxt_img != FALSE)
							  {
								    echo "<a href='image.php?u=" . $_GET[u] . "&album_name=" . $_GET[album_name] ."&img=" . $nxt_img . "'>" . "Next >" . "</a>";
							  }
						    
							  echo "<div class=\"photo-box\">";
							  echo "  <h5>" .  $_GET[img] . "</h5>";
							  echo "  <div class=\"photo-box-image\">";
								  
							  require_file("php/resize_image.php");
							  // print the html code for the comments
							  $user_img = "../uploaded_images/" . $_GET[u] . "/" . $_GET[album_name] . "/" . $_GET[img];
							  echo "<img style='" . resizeImage($user_img, '500') . "' src='$user_img' /></div></div>";
					      }
					      else
					      {
							  echo "<div class=\"photo-box\">";
							  echo "  <h5>Error getting the image</h5>";
							  echo "  <div class=\"photo-box-image\">You can't access this image!</div></div>";
					      }
				      ?>
					</p>
				</div>
			</div>
			<!-- Content left end -->

<hr class="noscreen" />
		        <?php
			   include_file("stable_parts/logout_button.php");
                        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

