<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// include the function that will make the connection with the database
require_file("php_for_database/connect_db.php");

require_file("php_for_database/read_image_path.php");
require_file("php/resize_image.php");

// connect to database
$db = connect_db();

// read the file which provides us the interface to infere whether the user has any relashionship with this user.
require_once("friends_req/general_friends.php");

// produce this page with info of $user
if(isset($_GET['u']))
{
	$user = $_GET['u'];
	if($user == $_SESSION['user_id'])
		$me = true;
	else
		$me = false;
}
else
{
	$user = $_SESSION['user_id'];
	$me = true;
}

require_file("php_for_database/read_image_path.php");

$prof_img = get_profile_img($user, $db);

if ($me == true)
{
	echo "<h3>My Profile</h3>";
	echo "<div class='alert-box'>
	  <div class='alert-box-text-large'>
		    <table style='text-align: left; width: 100%;'>
			    <tr>
			    <th><img id='profile_img' style='" . resizeImage($prof_img, '150') . "' src='$prof_img' />" . "
			    </th>
			    <th><a href=settings.php>Settings</a><br>
				<a href=delete_account.php>Delete Account</a><br>
				<a href=pending_blacklisted.php?index=pen>Pending Friend Requests</a><br>
				<a href=pending_blacklisted.php?index=blck>Blocked Users</a><br>
				<a href=../uploaded_images/" . $_SESSION['user_id'] . "/list_of_friends.xml>Friends XML.</a>
			    </th>
			    </tr>
		    </table>
	  </div>
	</div>";
}
else
{
	$result = mysql_query("SELECT * FROM user WHERE user_id = '" . $user ."'", $db);

	// if the query had an error
	if (!$result)
	{
	    die('Error: ' . mysql_error());
	}
	
	$user_field = mysql_fetch_array($result);

        // if noone is allowed to see this profile
        if ($user_field['privacy'] == 0)
        {
            echo "<h3> This profile is not accessible </h3>";
        }
        elseif ($user_field['privacy'] == 1 && !are_friends($_SESSION['user_id'], $user ) && !is_already_sent($_SESSION['user_id'], $user))
        {
            echo "<h3> This profile is not accessible </h3>";
        }    
        else
        {
            echo "<h3> The Profile of " . $user_field['name'] . " " . $user_field['surname'] . "</h3>";
            echo "<div class='alert-box'>
              <div class='alert-box-text-large'>
                        <table style='text-align: left; width: 100%;'>
                                <tr>
                                <th><img id='profile_img' style='" . resizeImage($prof_img, '150') . "' src='$prof_img' />" . "
                                </th>";



            if(!are_friends($_SESSION['user_id'], $user ))
            {
                    if (is_already_sent($user, $_SESSION['user_id']) )
                    {
                        echo "<th>You have already sent an invitation.<br>
                                  Do you want to take back the invitation?
                                  <form action='friends_req/remove_invitation.php' method='get'>
                                      <input type='hidden' name='u' value='" . $user . "'>
                                      <input type='submit' value='Yes' />
                                  </form>
                              </th>
                              </tr>
                              </table>
                          </div>
                        </div>";
                    }
                    else if(is_already_sent($_SESSION['user_id'], $user))
                    {
                        $notes = get_notes($_SESSION['user_id'], $user);
                        echo "<th>You have received an invitation with thw following notes: ". $notes . "<br>
                                  Do you feel like accepting the invitation?<br>
                                  <form action='friends_req/accept_invitation.php' method='get'>
                                      <input type='hidden' name='u' value='" . $user . "'>
                                      <textarea cols='40%' rows='3' name='notes'></textarea>
                                      <input type='submit' name='makeFriend' value='Accept the invitation' />
                                      <input type='submit' name='makeFriend' value='Block the user' />
                                  </form>
                              </th>
                              </tr>
                              </table>
                          </div>
                        </div>";
                    }
                    else
                    {
                        echo "<th>Type a note for the future friend...
                                        <form action='friends_req/send_request.php' method='get'>
                                            <textarea cols='40%' rows='3' name='notes'></textarea>
                                            <input type='hidden' name='u' value='" . $user . "'>
                                            <div style='text-align: right;'><br>
                                                  <input type='submit' value='Send Friend Request' />
                                            </div>
                                        </form>
                                    </th>
                                    </tr>
                                  </table>
                          </div>
                        </div>";
                            
                    }
            }
            else
            {
                    echo "<th><a href=gallery.php?u=" . $user . ">Photos of " .  $user_field['name'] . "</a><br>
                              <a href=friends.php?u=" . $user . ">Friends of " .  $user_field['name'] . "</a><br>
                              <a href=comments.php?u=" . $user . ">Comments that have been made for " .  $user_field['name'] . "</a><br>
                              <a href=make_comment.php?u=" . $user . ">Make a comment for " .  $user_field['name'] . "</a><br>
                              Update the friendship notes:
                              <form action='friends_req/update_notes.php' method='get'>
                                  <textarea cols='40%' rows='3' name='notes'></textarea>
                                  <input type='hidden' name='friend' value='" . $user_field['user_id'] . "'>
                                  <div style='text-align: right;'><br>
                                        <input type='submit' value='Update notes' />
                                  </div>
                              </form>
                              <form action='friends_req/remove_friend.php' method='get'>
                                  <input type='hidden' name='friend' value='" . $user_field['user_id'] . "'>
                                  <div style='text-align: right;'><br>
                                        <input type='submit' value='Remove Friend' />
                                  </div>
                              </form>
                                </th>
                                </tr>
                              </table>
                      </div>
                    </div>";
            }
    }
}
// close the connection with the database
mysql_close($db);
?>  
 
