<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// include the function that will make the connection with the database
require_file("php_for_database/connect_db.php");

require_file("php_for_database/read_image_path.php");
require_file("php/resize_image.php");

// connect to database
$db = connect_db();

// produce this page with info of $user
if(isset($_GET['u']))
{
	$user = $_GET['u'];
	$me = false;
	if ($_GET['u'] == $_SESSION['user_id'])
	{
		header( "Location: unknown.php" );
	}
	// if get_u isnot a user then what?
}
else
{
	$user = $_SESSION['user_id'];
	$me = true;
}

if (isset($_GET['page']))
{
	$page  = $_GET['page'];
	// if get_page is not in the range then what?
} 
else 
{ 
	$page=1; 
} 

$results_per_page = 10;

$start_from = ($page-1) * $results_per_page; 
//////////////////////////////////////////////////////////
$sql = "SELECT COUNT(name) FROM album WHERE gallery_id = '" . $user . "'"; 
$rs_result = mysql_query($sql,$db); 
$row = mysql_fetch_row($rs_result); 
$total_records = $row[0]; 
$total_pages = ceil($total_records / $results_per_page); 
$previous = $page - 1;
$next = $page + 1;
echo "<table style='width: 80%;'><tr>";
echo "<th>";
echo "<a href='gallery.php?"; if(! $me) echo "u=" . $_GET['u'] . "&"; echo "page=1'>" . "<< Start" . "</a>";
echo "</th>";
echo "<th>";
if ($page != 1)
{
	echo "<a href='gallery.php?"; if(! $me) echo "u=" . $_GET['u'] . "&"; echo "page=" . $previous . "'>" . "< Previous" . "</a>&nbsp;&nbsp;&nbsp;";
}
echo "</th>";
echo "<th>";
if ($page != $total_pages)
{
	echo "<a href='gallery.php?"; if(! $me) echo "u=" . $_GET['u'] . "&"; echo "page=" . $next . "'>" . "Next >" . "</a>&nbsp;&nbsp;&nbsp;";
}
echo "</th>";
echo "<th>";
echo "<a href='gallery.php?"; if(! $me) echo "u=" . $_GET['u'] . "&"; echo "page=" . $total_pages . "'>" . "End >>" . "</a>&nbsp;&nbsp;&nbsp;";
echo "</th>";
echo "<th>";
echo "total pages: " . $total_pages;
echo "</th>";
echo "</tr></table>";
///////////////////////////////////////////////////////////



// select all the messages that the user "owns" but from the last one to the first one (time considering)
$result = mysql_query("SELECT * FROM album WHERE gallery_id = '" . $user . "' ORDER BY name ASC LIMIT " . $start_from . ", " . $results_per_page, $db);

// if the query had an error
if (!$result)
{
    die('Error: ' . mysql_error());
}

$numrows=mysql_num_rows($result);

// if the user has comments
if($numrows)
{	
	require_file('php/resize_image.php');
	require_file('php/ls.php');
	echo "<div class='photo-box'>
		<h5>Gallery</h5>
		<div class='photo-box-image'>
			<div class='thumbnail'><table style='text-align: center; width: 100%;'>";
      
	while($gallery = mysql_fetch_array($result))
	{
		$last_line = ls("*", "/var/www/faceless/uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] , false, array('return_files','return_folders'));
		echo "<tr><th><a href='#'><img style='" . resizeImage("../uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] . "/" .$last_line['0'], "120") . "' src='../uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] . "/" .$last_line['0'] . "'  alt='album_image' /></a></th>";
		echo "<th><a href='#'>" . $gallery['name'] . "</a></th>
		      <th><form method='post' action='php_for_database/delete_album.php' name='delete_album'>
		      <input name='album_name' value = '" . $gallery['name'] . "' type='hidden'>
		      <input type='submit' value='Delete Album'></form>";
	}

	echo "</table></div>";
	echo "</div>
	    </div>
	    </p>";
}
// if the user has no comments, print an html code that will inform him for that
else
{
	echo "
	<div class='alert-box'>
		<h5>Sorry!</h5>
		<div class='alert-box-text'>
			You have no images!
		</div>
	</div>
	";
}

// close the connection with the database
mysql_close($db);

?>  
 
