<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// include the function that will make the connection with the database
require_file("php_for_database/connect_db.php");

require_file("php_for_database/read_image_path.php");
require_file("php/resize_image.php");
require_file("stable_parts/browsing.php");
require_file("friends_req/general_friends.php");

// connect to database
$db = connect_db();

// produce this page with info of $user
if(isset($_GET['u']))
{
	$user = $_GET['u'];
}
else
{
	$user = $_SESSION['user_id'];
}
if (isset($_GET['page']))
{
	$page  = $_GET['page'];
	// if get_page is not in the range then what?
} 
else 
{ 
	$page=1; 
}

if($_SESSION['user_id'] == $_GET['u'])
	$me = TRUE;
else
	$me = FALSE;

if ($me == TRUE)
{
	$rights = 0;
}
else if (are_friends($user, $_SESSION['user_id']) == TRUE)
{
	$rights = 1;
}
else
{
	$rights = 2;
}

/////
// browsing
$results_per_page = 10;

// find total records
$sql = "SELECT COUNT(album.name) FROM `album` , `picture` WHERE album.gallery_id =  '" . $user . "' AND album.rights >= '" . $rights . "'AND picture.album = album.name GROUP BY album.name"; 
$rs_result = mysql_query($sql,$db); 
$row = mysql_fetch_row($rs_result); 
$total_records = $row[0];

$link = "gallery.php?u=" . $user;

$start_from = browsing($page, $results_per_page, $total_records, $link);
/////

// select all the messages that the user "owns" but from the last one to the first one (time considering)
$result = mysql_query("SELECT album. * FROM `album` , `picture` WHERE album.gallery_id =  '" . $user . "' AND album.rights >= '" . $rights . "'AND picture.album = album.name GROUP BY album.name ORDER BY name ASC LIMIT " . $start_from . ", " . $results_per_page, $db);

// if the query had an error
if (!$result)
{
    die('Error: ' . mysql_error());
}

$numrows=mysql_num_rows($result);

// if the user has comments
if($numrows)
{	
	require_file('php/resize_image.php');
	require_file('php/ls.php');
	echo "<div class='photo-box'>
		<h5>Gallery</h5>
		<div class='photo-box-image'>
			<div class='thumbnail'><table style='text-align: center; width: 100%;'>";
      
	while($gallery = mysql_fetch_array($result))
	{
		$last_line = ls("*", "../uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] , false, array('return_files','return_folders'));
		if ($last_line['0']!=''){
			echo "<tr><th><a href='album.php?u=" . $user . "&album_name=" . $gallery['name'] . "'><img style='" . resizeImage("../uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] . "/" .$last_line['0'], "120") . "' src='../uploaded_images/" . $gallery['gallery_id'] . "/" . $gallery['name'] . "/" .$last_line['0'] . "'  alt='album_image' /></a></th>";
			echo "<th><a href='album.php?u=" . $user . "&album_name=" . $gallery['name'] . "'>" . $gallery['name'] . "</a></th>
			      <th>";
			if ($me == TRUE)
				echo "<form method='post' action='php_for_database/delete_album.php' name='delete_album'>
				      <input name='album_name' value = '" . $gallery['name'] . "' type='hidden'>
				      <input name='u' value = '" . $_SESSION['user_id'] . "' type='hidden'>
				      <input type='submit' value='Delete Album'></form>";
		}
	}

	echo "</table></div>";
	echo "</div>
	    </div>
	    </p>";
}
// if the user has no comments, print an html code that will inform him for that
else
{
	echo "
	<div class='alert-box'>
		<h5>Sorry!</h5>
		<div class='alert-box-text'>
			You have no images!
		</div>
	</div>
	";
}

// close the connection with the database
mysql_close($db);

?>  
 
