<?php
session_start();

// control the maximum number of possible failed tries
include("../sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("../php/import_php.php");

// include the function that will make the connection with the database
require("connect_db.php");

// connect to database
$db = connect_db();

// Is there a posted query string?
if(isset($_POST['queryString'])) 
{
	$queryString = mysql_real_escape_string($_POST['queryString']);
	
	// Is the string length greater than 0?	
	if(strlen($queryString) >0) 
	{
		// Run the query
		$query = mysql_query("SELECT * FROM user WHERE name LIKE \"%$queryString%\" OR surname LIKE \"%$queryString%\" OR email LIKE \"%$queryString%\" ORDER BY surname ASC LIMIT 10");
		
		if($query) 
		{       echo '<ul>';
			// While there are results loop through them fetching an Object.
			while ($result = mysql_fetch_array($query))
			{
				// format the results in list
				// the onClick function fills the textbox with the result.
                                $name = $result['name'];
                                $surname = $result['surname'];
                                $uid = $result['user_id'];
                                $privacy = $result['privacy'];
                                // No one is allowed to view his profile
                                if ($privacy == 0)
                                {
                                    echo '<li>' . $name . " " . $surname . "</li>";
                                }
                
                                // only friends may visit his profile
                                elseif ($privacy == 1)
                                {
                                    // file with the API of friends
                                    require_once("../friends_req/general_friends.php");
                                    // check whether they are friends and take appropriate action
                                    if (are_friends($_SESSION['user_id'], $uid))
                                    {
                                        echo '<li><a href="profile.php?u=' . $uid . '">' .$name . " " . $surname . '</a></li>';
                                    }
                                    else
                                    {
                                        echo '<li>' . $name . " " . $surname . "</li>";
                                    }

                                }
                                else
                                {
                                    echo '<li><a href="profile.php?u=' . $uid . '">' .$name . " " . $surname . '</a></li>';
                                }

			}
                      echo '</ul>';
		}
		else 
		{
			echo 'No appropriate suggestions found.';
		}
	} 
	else 
	{
		// Do nothing
	}
} 
else 
{
	echo 'There should be no direct access to this script!';
}

?>
