<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// If the user isn't logged in then redirect him back to home
if (empty($_SESSION['email']) || empty($_SESSION['name']) || empty($_SESSION['surname']) || empty($_SESSION['user_id']))
{
	header( "Location: index.php" );
}

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");

// connect to database
require_once("php_for_database/connect_db.php");
$db = connect_db();

// if we have already sent an invitation
$whoami = $_SESSION['user_id'];
$sql = "SELECT * FROM user WHERE user_id = '$whoami'";
$result = mysql_query($sql);

if (!$result)
{
    die('Error: ' . mysql_error());
}

$user = mysql_fetch_array($result);

$sql = "SELECT * FROM wall WHERE owner_id = '$whoami'";
$result2 = mysql_query($sql);

if (!$result2)
{
    die('Error: ' . mysql_error());
}

$wall = mysql_fetch_array($result2);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">


<script type="text/javascript" src="js/validate.js"></script>
<script type="text/javascript" src="js/lookup_fill.js"></script>
<script type="text/javascript" src="js/jquery-1.2.1.pack.js"></script>
<script type="text/javascript" src="update_settings.js"></script>

</head>

<body onload="setPreferences(<?php echo $user['show_email']; ?>,<?php echo $user['privacy']; ?>, <?php echo $wall['rights']; ?>)"  >
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	if (islogged_in() == 1) {
	     include_file("stable_parts/banner_menu.php");
	}
	else {
	     include_file("stable_parts/banner_menu_not_logged_in.php");
	}
?>

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3>Welcome to Faceless</h3>
					<p class="text-content">Welcome to our new social networking site. We want you to start using it to earn money.</p>
					<p class="text-content">It is a great way to loose your life.</p>
				</div>
					<div class="content-box-left-in">
					<h3>Modify your account details</h3>
					<div class="content-box-center">
						<h4>Modify your Account Details</h4>
							<form >
								<div class="content-box-center-in">
									<div style="text-align: right;">	
									  <table>
										<tr>
										  <td> Name: <input name="name" type="text" 
												    value= <?php echo $_SESSION['name']; ?>
												    onkeyup="updateName(this.value)"> 
										  </td>
										  <td> <div id="nameFault"> </div> </td>
										</tr>
										<tr> 
										    <td> Surname: <input name="surname" type="text"
													 value= <?php echo $_SESSION['surname']; ?>
													 onkeyup="updateSurname(this.value)">
										    </td>
										    <td> <div id="surnameFault"> </div> </td>
										</tr>
										<tr>
										    <td>Email: <input name="email" type="text"
												      value= <?php echo $_SESSION['email']; ?>
												      onkeyup="updateEmail(this.value)">
										    </td>
										    <td><div id="emailFault"> </div> </td>			      			      
										</tr>
										<tr>      
										    <td>Password: <input id="pass" name="pass" type="password"
                                                                                                  value= <?php echo $user['pass']; ?>
                                                                                                  >                                                                                                  
                                                                                    </td>			      
										    <td> </td>			      
										</tr>
										<tr>      
										    <td>Retype Password: <input name="repass" 
														type="password"
														onkeyup="updatePassword(this.value)" > </td>			      
  
										    <td> <div id="passFault"> </div> </td>			      
										</tr>
										<tr>      
										    <td >
											Show Email: <select id="show_email" onchange="updateShowMail(this.value)">
											<option value="0">None</option>
											<option value="1">Friends</option>
											<option value="2">All</option>
											</select>
										    </td>			      
										 <tr>
										    <td>						
											Privacy: <select id="privacy" onchange="updatePrivacy(this.value)">
											<option value="0">None</option>
											<option value="1">Friends</option>
											<option value="2">All</option>
											</select>
										    </td>			      
										</tr>
                                                                                 <tr>
                                                                                    <td>                                                
                                                                                        Wall option: <select id="wall" onchange="updateWall(this.value)">
                                                                                        <option value="0">Disallow posts</option>
                                                                                        <option value="1">Allow only Friends</option>
                                                                                        <option value="2">Allow all</option>
                                                                                        </select>
                                                                                    </td>                             
                                                                                </tr>

									  </table>
									</div>
								</div>
								<div id="content-center-bottom">
									<img style="width: 100%; height: 20px;" alt="" src="img/column-right-bottom.gif" />
								</div>
							</form>
					</div>
				</div> 
			</div>
			<!-- Content left end -->

<hr class="noscreen" />
		        <?php
			  include_file("stable_parts/logout_button.php");
                        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

