<?php
// find the links for start, end, previous and next page. For a list of the results.
function browsing($current_page, $results_per_pages, $total_records, $link)
{
	// if the first result doesn't exist set it to 1 and the current page also to 1
	$first_result = ($current_page - 1) * $results_per_pages;
	if (($first_result > $total_records) || ($first_result < 0))
	{
		$current_page = 1;
		$first_result = 1;
	}
	
	// find the final page
	$end = ceil($total_records / $results_per_pages);
	
	// if the total pages aren't greater than 1 don't print the browsing table
	if($end > 1)
	{
		$previous = $current_page - 1;
		$next = $current_page + 1;
		
		$empty_spaces = "&nbsp;&nbsp;&nbsp;";
		
		// make the table
		echo "<table style='width: 80%;'><tr>";
		
		// start
		echo "<th>";
		echo "<a href='" . $link . "&"; echo "page=1'>" . "<< Start" . "</a>";
		echo "</th>";
		
		// previous
		if ($current_page > 1)
		{
			echo "<th>";
			echo "<a href='" . $link . "&"; echo "page=" . $previous . "'>" . "< Previous" . "</a>" . $empty_spaces;
			echo "</th>";
		}
		
		// next
		if ($current_page < $end)
		{
			echo "<th>";
			echo "<a href='". $link . "&"; echo "page=" . $next . "'>" . "Next >" . "</a>" . $empty_spaces;
			echo "</th>";
		}

		// end
		echo "<th>";
		echo "<a href='". $link . "&"; echo "page=" . $end . "'>" . "End >>" . "</a>" . $empty_spaces;
		echo "</th>";

		// total pages
		echo "<th>";
		echo "total pages: " . $end;
		echo "</th>";
		
		// close the table
		echo "</tr></table>";
	}
	return $first_result;
}
?>