<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// If the user isn't logged in then redirect him back to home
if (empty($_SESSION['email']) || empty($_SESSION['name']) || empty($_SESSION['surname']) || empty($_SESSION['user_id']))
{
	header( "Location: index.php" );
}

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">

<script type="text/javascript" src="js/resize_image.js"></script>

</head>

<body>
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	if (islogged_in() == 1) {
	     include_file("stable_parts/banner_menu.php");
	}
	else {
	     include_file("stable_parts/banner_menu_not_logged_in.php");
	}
?>

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3>My Friends</h3>
					<table style='text-align: left; width: 100%; background-color: rgb(238, 238, 238);' border='0' cellpadding='4' cellspacing='10'>
					<tbody><tr><td>
					<form action="change_friend.php" method="post">
						<?php
						      $con = mysql_connect("localhost","astrolavos","tiropit@");
						      if (!$con)
							{
							die('Could not connect: ' . mysql_error());
							}

						      mysql_select_db("faceless", $con);

						      $sql = mysql_query("SELECT * FROM friends WHERE user='mparas@ceid.upatras.gr'");

						      echo "<table style='text-align: left; width: 95%; ' border='0' cellpadding='4' cellspacing='10'>
						      <tr>
						      <th><h6>Photo</h6></th>
						      <th><h6>Name</h6></th>
						      <th><h6>Surname</h6></th>
						      <th><h6>Email</h6></th>
						      <th><h6>Notes</h6></th>
						      <th><h6>Select</h6></th>
						      </tr>";

						      while($row = mysql_fetch_array($sql))
						      {
							$email_of_friend = $row['friend'];
							$result = mysql_query("SELECT * FROM user WHERE email='$email_of_friend'");
							$friend = mysql_fetch_array($result);
							echo "<tr>";
							echo "<td>to be done</td>";
							echo "<td>" . $friend['name'] . "</td>";
							echo "<td>" . $friend['surname'] . "</td>";
							if($friend['show_email'] == 1)
							{
							  echo "<td>" . $friend['email'] . "</td>";
							}
							else
							{
							  echo "<td>---</td>";
							}
							echo "<td>" . $row['notes'] . "</td>";
							echo "<td><input type='radio' name='change_friend' value=$email_of_friend>
								  <input type='hidden' name='me' value='mparas@ceid.upatras.gr'></td>";
							echo "</tr>";
						      }
						      echo "</table>";

						      mysql_close($con);
						?>
					<div style="text-align: right;">
						<input type="submit" name="choice" value="See Friends"> <input type="submit" name="choice" value="Post a Comment"> <input type="submit" name="choice" value="Delete" onclick='return confirm("If you are sure about this click OK.")'> <input type="submit" name="choice" value="Update">
					</div>
					</form></td></tr></tbody></table>
				</div>
			</div>
			<!-- Content left end -->



<hr class="noscreen" />
		        <?php
				// print the logout box (html code)
				include_file("stable_parts/logout_button.php");
		        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

